# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"target": "newmouth.com",
"intersecting_domains": [
"dentaly.org",
"health.com",
"trysnow.com"
],
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"intersecting_domains": [
"dentaly.org",
"health.com",
"trysnow.com"
],
"language_name": "English",
"limit": 3,
"location_code": 2840,
"target": "newmouth.com"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live"
payload = [
{
"intersecting_domains": ["dentaly.org", "health.com", "trysnow.com"],
"language_name": "English",
"limit": 3,
"location_code": 2840,
"target": "newmouth.com"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
intersecting_domains: ['dentaly.org', 'health.com', 'trysnow.com'],
language_name: 'English',
limit: 3,
location_code: 2840,
target: 'newmouth.com'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'intersecting_domains' => [
'dentaly.org',
'health.com',
'trysnow.com'
],
'language_name' => 'English',
'limit' => 3,
'location_code' => 2840,
'target' => 'newmouth.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live"
payload := strings.NewReader("[\n {\n \"intersecting_domains\": [\n \"dentaly.org\",\n \"health.com\",\n \"trysnow.com\"\n ],\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target\": \"newmouth.com\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"intersecting_domains\": [\n \"dentaly.org\",\n \"health.com\",\n \"trysnow.com\"\n ],\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target\": \"newmouth.com\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"intersecting_domains\": [\n \"dentaly.org\",\n \"health.com\",\n \"trysnow.com\"\n ],\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target\": \"newmouth.com\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"items": [
{
"avg_position": 123,
"competitor_metrics": {},
"domain": "<string>",
"full_domain_metrics": {},
"intersections": 123,
"metrics": {},
"se_type": "<string>",
"sum_position": 123
}
],
"items_count": 123,
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"target": "<string>",
"total_count": 123
}
]
}
]
}Competitors Domain
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"target": "newmouth.com",
"intersecting_domains": [
"dentaly.org",
"health.com",
"trysnow.com"
],
"language_name": "English",
"location_code": 2840,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"intersecting_domains": [
"dentaly.org",
"health.com",
"trysnow.com"
],
"language_name": "English",
"limit": 3,
"location_code": 2840,
"target": "newmouth.com"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live"
payload = [
{
"intersecting_domains": ["dentaly.org", "health.com", "trysnow.com"],
"language_name": "English",
"limit": 3,
"location_code": 2840,
"target": "newmouth.com"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
intersecting_domains: ['dentaly.org', 'health.com', 'trysnow.com'],
language_name: 'English',
limit: 3,
location_code: 2840,
target: 'newmouth.com'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'intersecting_domains' => [
'dentaly.org',
'health.com',
'trysnow.com'
],
'language_name' => 'English',
'limit' => 3,
'location_code' => 2840,
'target' => 'newmouth.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live"
payload := strings.NewReader("[\n {\n \"intersecting_domains\": [\n \"dentaly.org\",\n \"health.com\",\n \"trysnow.com\"\n ],\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target\": \"newmouth.com\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"intersecting_domains\": [\n \"dentaly.org\",\n \"health.com\",\n \"trysnow.com\"\n ],\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target\": \"newmouth.com\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"intersecting_domains\": [\n \"dentaly.org\",\n \"health.com\",\n \"trysnow.com\"\n ],\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"target\": \"newmouth.com\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"items": [
{
"avg_position": 123,
"competitor_metrics": {},
"domain": "<string>",
"full_domain_metrics": {},
"intersections": 123,
"metrics": {},
"se_type": "<string>",
"sum_position": 123
}
],
"items_count": 123,
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"target": "<string>",
"total_count": 123
}
]
}
]
}Request contract
- Method and path: POST /apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "any_dataforseo_apis_v1_dataforseo_dataforseo_labs_de0232",
"method": "POST",
"path": "/apis/v1/dataforseo/dataforseo_labs/google/competitors_domain/live",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"intersecting_domains": [
"dentaly.org",
"health.com",
"trysnow.com"
],
"language_name": "English",
"limit": 3,
"location_code": 2840,
"target": "newmouth.com"
}
],
"items": {
"oneOf": [
{
"example": [
{
"intersecting_domains": [
"dentaly.org",
"health.com",
"trysnow.com"
],
"language_name": "English",
"limit": 3,
"location_code": 2840,
"target": "newmouth.com"
}
],
"properties": {
"exclude_domains": {
"description": "<em>exclude domains from the results</em><br>optional field<br>use this parameter to exclude specific domains from the results<br><strong>Note:</strong> you can specify up to 1000 domains in this array<p>example:<br><code>\"exclude_domains\": [<br>\"reddit.com\",<br>\"youtube.com\"<br>]</code>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"exclude_top_domains": {
"description": "<em>indicates whether to exclude world's largest websites</em><br>optional field<br>default value: <code>false</code><br>set to <code>true</code> if you want to get highly-relevant competitors excluding the websites listed below:<p><code>wikipedia.org<br>pinterest.com<br>amazon.com<br>google.com<br>facebook.com<br>wordpress.com<br>medium.com<br>quora.com<br>reddit.com<br>youtube.com<br>ebay.com<br>uol.com.br<br>instagram.com<br>olx.com<br>twitter.com<br>linkedin.com<br>slideshare.net</code>",
"type": [
"boolean",
"null"
]
},
"filters": {
"description": "<em>array of results filtering parameters</em><br>optional field<br><strong>you can add several filters at once (8 filters maximum)</strong><br>you should set a logical operator <code>and</code>, <code>or</code> between the conditions<br>the following operators are supported:<br><code>regex</code>, <code>not_regex</code>, <code><</code>, <code><=</code>, <code>></code>, <code>>=</code>, <code>=</code>, <code><></code>, <code>in</code>, <code>not_in</code><br>example:<br><code>[\"metrics.organic.count\",\">\",50]</code><p><code>[[[\"metrics.organic.count\",\">=\",50],\"and\",[\"metrics.organic.pos_1\",\"in\",[1,5]]],<br>\"or\",<br>[\"metrics.organic.etv\",\">=\",\"100\"]]</code><p>for more information about filters, please refer to <a href=\"/v3/dataforseo_labs/filters\" target=\"_blank\" rel=\"noopener noreferrer\">Dataforseo Labs - Filters</a> or this <a href=\"https://dataforseo.com/help-center/how-to-use-filters-in-dataforseo-labs-api\" rel=\"noopener noreferrer\" target=\"_blank\">help center guide</a>",
"items": {
"type": [
"object",
"null"
]
},
"type": [
"array",
"null"
]
},
"ignore_synonyms": {
"description": "<em>ignore highly similar keywords</em><br>optional field<br>if set to_<code class=\"prettyprint\">true</code>, only core keywords will be returned, all highly similar keywords will be excluded; <br>default value: <code>false</code>n",
"type": [
"boolean",
"null"
]
},
"include_clickstream_data": {
"description": "<em>include or exclude data from clickstream-based metrics in the result</em><br>optional field<br>if the parameter is set to_<code>true</code>, you will receive <code>clickstream_etv</code>, <code>clickstream_gender_distribution</code>, and_<code>clickstream_age_distribution</code>_fields with clickstream data in the response<br>default value: <code>false</code><br>with this parameter enabled, you will be charged double the price for the request<p>learn more about how clickstream-based metrics are calculated in this <a href=\"https://dataforseo.com/help-center/what-are-clickstream-based-metrics-and-how-do-we-calculate-them\" rel=\"noopener noreferrer\" target=\"_blank\">help center article</a>n",
"type": [
"boolean",
"null"
]
},
"intersecting_domains": {
"description": "<em>additional domains for improving results accuracy</em><br>optional field<br>to improve the accuracy of the result, you can specify domains that are known to intersect with the <code>target</code> in SERPs;<br>if you use this array, metrics in the result will be based on SERPs where both <code>target</code> website and <code>intersecting_domains</code> appear;<br><strong>Note:</strong> you can specify up to 20 domains in this array",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"item_types": {
"description": "<em>display results by item type</em><br>optional field<br>indicates the type of search results included in the response<p><strong>Note:</strong> if the <code>item_types</code> array contains item types that are different from <code>organic</code>, the results will be ordered by the first item type in the array; you will not be able to sort and filter results by the types of search results not included in the response;<p>possible values: <br><code>[\"organic\", \"paid\", \"featured_snippet\", \"local_pack\"]</code><br>default value: <br><code>[\"organic\", \"paid\"]</code>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"language_code": {
"description": "<em>language code</em><br><strong>required field if you don't specify</strong> <code>language_name</code><br><strong>Note:</strong> it is required to specify either <code>language_name</code> or <code>language_code</code><br>you can receive the list of available languages with their <code>language_code</code> by making a separate request to the <br><code>https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages</code><br>example:<br><code class=\"long-string\">en</code>",
"type": [
"string",
"null"
]
},
"language_name": {
"description": "<em>full name of the language</em><br><strong>required field if you don't specify</strong> <code>language_code</code><br><strong>Note:</strong> it is required to specify either <code>language_name</code> or <code>language_code</code><br>you can receive the list of available languages with their <code>language_name</code> by making a separate request to the <br><code>https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages</code><br>example:<br><code class=\"long-string\">English</code>",
"type": "string"
},
"limit": {
"description": "<em>the maximum number of returned domains</em><br>optional field<br>default value: <code>100</code><br>maximum value: <code>1000</code>",
"type": [
"integer",
"null"
]
},
"location_code": {
"description": "<em>location code</em><br><strong>required field if you don't specify</strong> <code>location_name</code><br><strong>Note:</strong> it is required to specify either <code>location_name</code> or <code>location_code</code><br>you can receive the list of available locations with their <code>location_code</code> by making a separate request to the <br><code>https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages</code><br>example:<br><code class=\"long-string\">2840</code>",
"type": "integer"
},
"location_name": {
"description": "<em>full name of the location</em><br><strong>required field if you don't specify</strong> <code>location_code</code><br><strong>Note:</strong> it is required to specify either <code>location_name</code> or <code>location_code</code><br>you can receive the list of available locations with their <code>location_name</code> by making a separate request to the <br><code>https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages</code><br>example:<br><code class=\"long-string\">United Kingdom</code>",
"type": "string"
},
"max_rank_group": {
"description": "<em>maximum rank up to which competitors will be considered</em><br>optional field<br>default value: <code>100</code><p>if you specify <code>10</code> here, we will extract competitors from the top 10 Google search results only",
"type": [
"integer",
"null"
]
},
"offset": {
"description": "<em>offset in the results array of returned domains</em><br>optional field<br>default value: <code>0</code><br>if you specify the <code>10</code> value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords",
"type": [
"integer",
"null"
]
},
"order_by": {
"description": "<em>results sorting rules</em><br>optional field<br>you can use the same values as in the <code>filters</code> array to sort the results<br>possible sorting types:<br><code>asc</code> - results will be sorted in the ascending order<br><code>desc</code> - results will be sorted in the descending order<br>you should use a comma to specify a sorting type<br>example:<br><code>[\"metrics.paid.etv,asc\"]</code><br><strong>Note:</strong> you can set no more than three sorting rules in a single request<br>you should use a comma to separate several sorting rules<br>example:<br><code>[\"metrics.organic.etv,desc\",\"metrics.paid.count,asc\"]</code><p>default rule:<br><code>[\"metrics.organic.count,desc\"]</code><br><strong>Note:</strong> if the <code>item_types</code> array contains item types that are different from <code>organic</code>, the results will be ordered by the first item type in the array",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"tag": {
"description": "<em>user-defined task identifier</em><br>optional field<br><em>the character limit is 255</em><br>you can use this parameter to identify the task and match it with the result<br>you will find the specified <code>tag</code> value in the <code>data</code> object of the response",
"type": [
"string",
"null"
]
},
"target": {
"description": "<em>domain</em><br><strong>required field</strong><br>the domain name of the target website<br>the domain should be specified without <code>https://</code> and <code>www.</code><br>you can specify page URL, but the results will be specific to the domain in the specified URL",
"type": "string"
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.015,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.015 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.015
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
exclude domains from the results
optional field
use this parameter to exclude specific domains from the results
Note: you can specify up to 1000 domains in this array
example:"exclude_domains": ["reddit.com","youtube.com"]
indicates whether to exclude world's largest websites
optional field
default value: false
set to true if you want to get highly-relevant competitors excluding the websites listed below:
wikipedia.orgpinterest.comamazon.comgoogle.comfacebook.comwordpress.commedium.comquora.comreddit.comyoutube.comebay.comuol.com.brinstagram.comolx.comtwitter.comlinkedin.comslideshare.net
array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:regex, not_regex, <, <=, >, >=, =, <>, in, not_in
example:["metrics.organic.count",">",50]
[[["metrics.organic.count",">=",50],"and",["metrics.organic.pos_1","in",[1,5]]],"or",["metrics.organic.etv",">=","100"]]
for more information about filters, please refer to Dataforseo Labs - Filters or this help center guide
ignore highly similar keywords
optional field
if set to_true, only core keywords will be returned, all highly similar keywords will be excluded;
default value: falsen
include or exclude data from clickstream-based metrics in the result
optional field
if the parameter is set to_true, you will receive clickstream_etv, clickstream_gender_distribution, and_clickstream_age_distribution_fields with clickstream data in the response
default value: false
with this parameter enabled, you will be charged double the price for the request
learn more about how clickstream-based metrics are calculated in this help center articlen
additional domains for improving results accuracy
optional field
to improve the accuracy of the result, you can specify domains that are known to intersect with the target in SERPs;
if you use this array, metrics in the result will be based on SERPs where both target website and intersecting_domains appear;
Note: you can specify up to 20 domains in this array
display results by item type
optional field
indicates the type of search results included in the response
Note: if the item_types array contains item types that are different from organic, the results will be ordered by the first item type in the array; you will not be able to sort and filter results by the types of search results not included in the response;
possible values: ["organic", "paid", "featured_snippet", "local_pack"]
default value: ["organic", "paid"]
language code
required field if you don't specify language_name
Note: it is required to specify either language_name or language_code
you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:en
full name of the language
required field if you don't specify language_code
Note: it is required to specify either language_name or language_code
you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:English
the maximum number of returned domains
optional field
default value: 100
maximum value: 1000
location code
required field if you don't specify location_name
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:2840
full name of the location
required field if you don't specify location_code
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:United Kingdom
maximum rank up to which competitors will be considered
optional field
default value: 100
if you specify 10 here, we will extract competitors from the top 10 Google search results only
offset in the results array of returned domains
optional field
default value: 0
if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords
results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:asc - results will be sorted in the ascending orderdesc - results will be sorted in the descending order
you should use a comma to specify a sorting type
example:["metrics.paid.etv,asc"]
Note: you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
example:["metrics.organic.etv,desc","metrics.paid.count,asc"]
default rule:["metrics.organic.count,desc"]
Note: if the item_types array contains item types that are different from organic, the results will be ordered by the first item type in the array
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
domain
required field
the domain name of the target website
the domain should be specified without https:// and www.
you can specify page URL, but the results will be specific to the domain in the specified URL
[
{
"intersecting_domains": ["dentaly.org", "health.com", "trysnow.com"],
"language_name": "English",
"limit": 3,
"location_code": 2840,
"target": "newmouth.com"
}
]
Response
Successful operation
total tasks cost, USD
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
total execution time, seconds
the current version of the API
array of tasks
Show child attributes
Show child attributes